package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 添加对比记录对象 tb_contrast_record
 * 
 * @author ruoyi
 * @date 2023-10-27
 */
public class ContrastRecordVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录id */

    private Long recordId;

    /** 学校id */

    private Long schoolId;

    /** 学校名 */
    private String schoolName;

    /** 学校图标 */
    private String schoolIcon;

    /** 学校类型名（例：综合类、理工类等）*/
    private String configTypeName;

    /** 办学机构：0-公办，1-民办，3-中外合作办学，4其他 */
    private String schoolInstitution;

    /** 主管部门（教育部、各地市） */
    private String competentDepartment;

    /** 省份名 */
    private String provinceName;

    /** 城市名 */
    private String cityName;

    /** 标签id集合 */
    private String tags;

    /** 标签名集合 */
    private List<String> tagList;

    /** 批次id */
    private Long batchId;

    /** 用户id */

    private Long userId;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSchoolIcon() {
        return schoolIcon;
    }

    public void setSchoolIcon(String schoolIcon) {
        this.schoolIcon = schoolIcon;
    }

    public String getConfigTypeName() {
        return configTypeName;
    }

    public void setConfigTypeName(String configTypeName) {
        this.configTypeName = configTypeName;
    }

    public String getSchoolInstitution() {
        return schoolInstitution;
    }

    public void setSchoolInstitution(String schoolInstitution) {
        this.schoolInstitution = schoolInstitution;
    }

    public String getCompetentDepartment() {
        return competentDepartment;
    }

    public void setCompetentDepartment(String competentDepartment) {
        this.competentDepartment = competentDepartment;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public List<String> getTagList() {
        return tagList;
    }

    public void setTagList(List<String> tagList) {
        this.tagList = tagList;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return "ContrastRecordVo{" +
                "recordId=" + recordId +
                ", schoolId=" + schoolId +
                ", schoolName='" + schoolName + '\'' +
                ", schoolIcon='" + schoolIcon + '\'' +
                ", configTypeName='" + configTypeName + '\'' +
                ", schoolInstitution='" + schoolInstitution + '\'' +
                ", competentDepartment='" + competentDepartment + '\'' +
                ", provinceName='" + provinceName + '\'' +
                ", cityName='" + cityName + '\'' +
                ", tags='" + tags + '\'' +
                ", tagList=" + tagList +
                ", batchId=" + batchId +
                ", userId=" + userId +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
